Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 *
 * @author takano
 */
public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {}

  // 全てのデータをセットするコンストラクタ
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdimn;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }
}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserAdd
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserAddServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // TODOログインセッションがない場合、ログイン画面にリダイレクトさせる
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }
      // フォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
    }

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");
      UserDao userDao = new UserDao();
      // リクエストパラメータの入力項目を取得
      String loginId = request.getParameter("user-loginid"); // userAdd.jspから飛んできた
      String password = request.getParameter("password");
      String cPassword = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");

      /** パスワードが一致しない、入力していない項目がある場合 * */
      // if (!(password.equals(cPassword)) || password.equals("") || cPassword.equals("") ||
      // loginId.equals("") || name.equals("")
      // || birthDate.equals("")) {
      if (!isInputAll(loginId, password, cPassword, name, birthDate)
          || !(password.equals(cPassword)) || userDao.existUser(loginId)) {
        // メソッド名を決める際、戻り値の型がbooleanであれば「is,has,can,exist」から始めるというルールがある

        // リクエストスコープにエラーメッセージをセット
        request.setAttribute("errMsg", "入力された内容は正しくありません");

        // 入力した名前と生年月日を画面に表示するため、リクエストに値をセット
        request.setAttribute("loginId", loginId);
        request.setAttribute("userName", name);
        request.setAttribute("birthDate", birthDate);

        // userAdd.jspにフォワード
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
        dispatcher.forward(request, response);
        return;


      } else {
        /** パスワードが一致、情報が全て入力されている * */
        // パスワードの暗号化
        PasswordEncorder passwordEncorder = new PasswordEncorder();
        String Epassword = passwordEncorder.encordPassword(password);
      // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
      // UserDao userDao = new UserDao();
      userDao.insert(loginId, Epassword, name, birthDate); // UserDaoのインスタンスを作り、insertメソッドに引数を飛ばす

      // ユーザ一覧のサーブレットにリダイレクト
      response.sendRedirect("UserListServlet");
    }
	}

    private static boolean isInputAll(String loginId, String password, String confirmPassword,
        String name, String birthdate) {
      return !(loginId.equals("") || password.equals("") || confirmPassword.equals("")
          || name.equals("") || birthdate.equals(""));
    }


  }

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      // TODOログインセッションがない場合、ログイン画面にリダイレクトさせる
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      // idを取得し、型変換する
//      String i = request.getParameter("id"); // userListから送られてきたuserDaoのfindAllのid
//      int id = Integer.valueOf(i).intValue();
      int id = Integer.valueOf(request.getParameter("id"));

      // userDaoのfindByldメソッドで詳細情報を手に入れる
      UserDao userDao = new UserDao();
      User userData = userDao.findByld(id);

      request.setAttribute("user", userData);

      // フォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp"); // userDelete.jspへuserDateをとばす
      dispatcher.forward(request, response);
      return;
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
//      request.setCharacterEncoding("UTF-8");
//      if (request.getParameter("button").equals("no")) {
//        // UserListServletにリダイレクト
//        response.sendRedirect("UserListServlet");
//
//      } else if (request.getParameter("button").equals("yes")) {

        // userDelete.jspで送られてきたidを取得し、型変換する
        String i = request.getParameter("id");
        int id = Integer.valueOf(i);

        // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
        UserDao userDao = new UserDao();
        userDao.delete(id); // UserDaoのインスタンスを作り、deleteメソッドに引数を飛ばす


        // UserListServletにリダイレクト
        response.sendRedirect("UserListServlet");
        return;
        // }
	}

  }

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      // TODOログインセッションがない場合、ログイン画面にリダイレクトさせる
      HttpSession session = request.getSession();
      User loginUser = (User) session.getAttribute("userInfo");
      if (loginUser == null) {
        response.sendRedirect("LoginServlet");
        return;
      }
      // ユーザー一覧情報を取得
      UserDao userDao = new UserDao();
      List<User> userList = userDao.findAll();

      // リクエストスコープにユーザー一覧情報をセット
      request.setAttribute("userList", userList);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
	}
	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	  //TODO 未実装:検索処理全般
	  // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");
      String loginId = request.getParameter("login-id"); 
      String name = request.getParameter("user-name");
      String startDate = request.getParameter("start-date");
      String endDate = request.getParameter("end-date");
      
      // userDaoのsearchメソッドで詳細情報を手に入れる
      UserDao userDao = new UserDao();
      List<User> userData = userDao.search(loginId, name, startDate, endDate);

      // リクエストスコープにユーザ一覧情報をセット
      request.setAttribute("userData", userData);
      request.setAttribute("loginId",loginId);
      request.setAttribute("userName",name);
      request.setAttribute("startDate", startDate);
      request.setAttribute("endDate",endDate);
      
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
}
}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserUpdateServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // TODOログインセッションがない場合、ログイン画面にリダイレクトさせる
    HttpSession session = request.getSession();
    User loginUser = (User) session.getAttribute("userInfo");
    if (loginUser == null) {
      response.sendRedirect("LoginServlet");
      return;
    }

    // idを取得し、型変換する
    // String i = request.getParameter("id"); // userListから送られてきたuserDaoのfindAllのid
    // int id = Integer.valueOf(i).intValue();
    int id = Integer.valueOf(request.getParameter("id"));


    // userDaoのfindByldメソッドで詳細情報を手に入れる
    UserDao userDao = new UserDao();
    User userData = userDao.findByld(id);

    request.setAttribute("user", userData);

    // フォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp"); // userUpdate.jspへuserDateをとばす
    dispatcher.forward(request, response);
    return;

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    String userId = request.getParameter("user-id"); // userUpdate.jspから飛んできた
    String loginId = request.getParameter("login_id");
    String password = request.getParameter("password");
    String cPassword = request.getParameter("password-confirm");
    String name = request.getParameter("user-name");
    String birthDate = request.getParameter("birth-date");

    /** パスワードが一致していない、情報が空欄 * */
    if (!(password.equals(cPassword)) || name.equals("") || birthDate.equals("")) {
      // リクエストスコープにエラーメッセージをセット
      request.setAttribute("errMsg", "入力された内容は正しくありません");

      // ログインIDと入力した名前と生年月日を画面に表示するため、リクエストに値をセット
      request.setAttribute("userId", userId);
      request.setAttribute("loginId", loginId);
      request.setAttribute("name", name);
      request.setAttribute("birthDate", birthDate);

      // userUpdate.jspにフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
      dispatcher.forward(request, response);
      return;

    } else if (password.equals("") && cPassword.equals("")) {
      /** パスワードが一致していて空欄、情報が全て入力されている * */
      // リクエストパラメータの入力項目を取得、idを型変換
      int id = Integer.valueOf(userId);
      // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
      UserDao userDao = new UserDao();
      userDao.update(id, name, birthDate);// UserDaoのインスタンスを作り、updateメソッドに引数を飛ばす


    } else {
      /** パスワードが一致している、情報が全て入力されている * */
      // パスワードの暗号化
      PasswordEncorder passwordEncorder = new PasswordEncorder();
      String Epassword = passwordEncorder.encordPassword(password);

      // リクエストパラメータの入力項目を取得、idを型変換
      int id = Integer.valueOf(userId);
      // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
      UserDao userDao = new UserDao();
      userDao.update(id, Epassword, name, birthDate); // UserDaoのインスタンスを作り、updateメソッドに引数を飛ばす

    }

      // ユーザ一覧のサーブレットにリダイレクト
      response.sendRedirect("UserListServlet");
  }

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li> <!-- ??? -->
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラー処理 end  -->
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
			
				<form action="UserAddServlet" method="post">
					<c:if test="${errMsg == null}">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${inputloginId}">
						</div>
					</div>
					</c:if>
					
					<!-- 登録失敗時ログインID表示 -->
					<c:if test="${errMsg != null}">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${loginId}">
						</div>
					</div>
					</c:if>
					
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					
					<c:if test="${errMsg == null}">
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${inputuserName}">
						</div>
					</div>
					</c:if>
					
					<!-- 登録失敗時ユーザー名表示 -->
					<c:if test="${errMsg != null}">
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${userName}">
						</div>
					</div>
					</c:if>
					
					<c:if test="${errMsg == null}">
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>
						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${inputbirthDate}">
						</div>
					</div>
					</c:if>
					
					<!-- 登録失敗時生年月日表示 -->
					<c:if test="${errMsg != null}">
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${birthDate}">
						</div>
					</div>
					</c:if>
					
					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
			</div>
		</div>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">
			<div class="container">
				<a class="navbar-brand" href="UserListServlet">ユーザ管理システム</a>
				
			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">

					<form action="UserListServlet" method="post">
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="login-id" class="form-control" id="login-Id" value="${loginId}">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="user-name" value="${userName}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="start-date" id="start-date" class="form-control"
											value="${startDate}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="end-date" id="end-date" class="form-control"
											value="${endDate}">
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" value="検索"
								class="btn btn-primary form-submit">検索</button>
						</div>
						
					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:if test="${userData == null}">
						<c:forEach var="user" items="${userList}">
							<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
									
							
							<td class="float-right">
									<a class="btn btn-primary"	
									href="UserDetailServlet?id=${user.id}">詳細</a>  <!-- userDaoのsearchのidをUserDetailServletへ-->
								<c:if test="${userInfo.admin||user.id==userInfo.id}">
									<a class="btn btn-success"
								 	href="UserUpdateServlet?id=${user.id}">更新</a>  <!-- userDaoのsearchのidをUserUpdateServletへ-->
								 </c:if>
								 <c:if test="${userInfo.admin}">
								 	<a class="btn btn-danger"
									href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if>
							</td>
							</tr>		
						</c:forEach>
						</c:if>
									
						<c:forEach var="user" items="${userData}">
							<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
						
									
							<td class="float-right">
									<a class="btn btn-primary"	
									href="UserDetailServlet?id=${user.id}">詳細</a>  <!-- userDaoのfindAllのidをUserDetailServletへ-->
								<c:if test="${userInfo.admin||user.id==userInfo.id}">
									<a class="btn btn-success"
								 	href="UserUpdateServlet?id=${user.id}">更新</a>  <!-- userDaoのfindAllのidをUserUpdateServletへ-->
								 </c:if>
								 <c:if test="${userInfo.admin}">
								 	<a class="btn btn-danger"
									href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if>
							</td>
							</tr>
						
						</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>